# Uses of Class
org.jsoup.nodes.Attributes

Packages that use Attributes
Package
Description
org.jsoup.nodes
HTML document structure nodes.

## Uses of Attributes in org.jsoup.nodes

Methods in org.jsoup.nodes that return Attributes
Modifier and Type
Method
Description
`Attributes`
Attributes.`add(String key, String value)`
Adds a new attribute.
`Attributes`
Element.`attributes()`
`abstract Attributes`
Node.`attributes()`
Get all of the element's attributes.
`Attributes`
Attributes.`clone()`
`Attributes`
Attributes.`put(String key, boolean value)`
Set a new boolean attribute, remove attribute if value is false.
`Attributes`
Attributes.`put(String key, String value)`
Set a new attribute, or replace an existing one by key.
`Attributes`
Attributes.`put(Attribute attribute)`
Set a new attribute, or replace an existing one by key.
Methods in org.jsoup.nodes with parameters of type Attributes
Modifier and Type
Method
Description
`void`
Attributes.`addAll(Attributes incoming)`
Add all the attributes from the incoming set to this set.
Constructors in org.jsoup.nodes with parameters of type Attributes
Modifier
Constructor
Description
``
`Attribute(String key, String val, Attributes parent)`
Create a new attribute from unencoded (raw) key and value.
``
`Element(Tag tag, String baseUri, Attributes attributes)`
Create a new, standalone Element.
``
`FormElement(Tag tag, String baseUri, Attributes attributes)`
Create a new, standalone form element.
``
`PseudoTextElement(Tag tag, String baseUri, Attributes attributes)`